org.encog.ml.factory

## Class MLActivationFactory

- java.lang.Object
- - org.encog.ml.factory.MLActivationFactory

-     public class MLActivationFactory
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AF_BIPOLAR`
    `static String` | `AF_COMPETITIVE`
    `static String` | `AF_GAUSSIAN`
    `static String` | `AF_LINEAR`
    `static String` | `AF_LOG`
    `static String` | `AF_RAMP`
    `static String` | `AF_SIGMOID`
    `static String` | `AF_SIN`
    `static String` | `AF_SOFTMAX`
    `static String` | `AF_SSIGMOID`
    `static String` | `AF_STEP`
    `static String` | `AF_TANH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MLActivationFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActivationFunction` | `create(String fn)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AF_BIPOLAR

          public static final String AF_BIPOLAR

      See Also:
        Constant Field Values

    - #### AF_COMPETITIVE

          public static final String AF_COMPETITIVE

      See Also:
        Constant Field Values

    - #### AF_GAUSSIAN

          public static final String AF_GAUSSIAN

      See Also:
        Constant Field Values

    - #### AF_LINEAR

          public static final String AF_LINEAR

      See Also:
        Constant Field Values

    - #### AF_LOG

          public static final String AF_LOG

      See Also:
        Constant Field Values

    - #### AF_RAMP

          public static final String AF_RAMP

      See Also:
        Constant Field Values

    - #### AF_SIGMOID

          public static final String AF_SIGMOID

      See Also:
        Constant Field Values

    - #### AF_SSIGMOID

          public static final String AF_SSIGMOID

      See Also:
        Constant Field Values

    - #### AF_SIN

          public static final String AF_SIN

      See Also:
        Constant Field Values

    - #### AF_SOFTMAX

          public static final String AF_SOFTMAX

      See Also:
        Constant Field Values

    - #### AF_STEP

          public static final String AF_STEP

      See Also:
        Constant Field Values

    - #### AF_TANH

          public static final String AF_TANH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MLActivationFactory

          public MLActivationFactory()

  - ### Method Detail

    - #### create

          public ActivationFunction create(String fn)

Copyright © 2014. All Rights Reserved.